Page MenuHomePhabricator

[mlir] Add std op for X raised to the power of Y
ClosedPublic

Authored by tpopp on Dec 11 2020, 7:10 AM.

Diff Detail

Unit TestsFailed

TimeTest
80 msx64 windows > LLVM.CodeGen/XCore::threads.ll
Script: -- : 'RUN: at line 1'; c:\ws\w32-1\llvm-project\premerge-checks\build\bin\llc.exe -march=xcore < C:\ws\w32-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll | c:\ws\w32-1\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w32-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll

Event Timeline

tpopp created this revision.Dec 11 2020, 7:10 AM
tpopp requested review of this revision.Dec 11 2020, 7:10 AM
tpopp updated this revision to Diff 311654.Dec 14 2020, 10:57 AM

Remove powi

tpopp updated this revision to Diff 311908.Dec 15 2020, 7:57 AM

Add link to RFC and test case.

tpopp edited the summary of this revision. (Show Details)Dec 15 2020, 7:58 AM
tpopp added a reviewer: herhut.
herhut accepted this revision.Dec 15 2020, 8:02 AM
herhut added inline comments.
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
2432

I'd drop the reference to SSE

This revision is now accepted and ready to land.Dec 15 2020, 8:02 AM
This revision was landed with ongoing or failed builds.Dec 15 2020, 8:06 AM
This revision was automatically updated to reflect the committed changes.
tpopp marked an inline comment as done.Dec 15 2020, 8:21 AM